HelpBot Assistant

How can I help you?

Getting Started with Angular DateTimePicker

This section discloses the details on how to render and configure a DateTimePicker component in an Angular-2 application.

To get started with DateTimePicker component, you need to refer the basic prerequisites and system configuration to be done form the given getting started document.

Once you have cloned the sample Angular-2 application as mentioned in getting started document, you will have an angular application named angular2-seeds and the application is now ready integrate our EJ components in it.

Copying DateTimePicker source file

Copy the required Angular-2 source components file from the installed location and move it to app/src/ej folder available in the angular2-seeds folder.

{Installed Location}\Syncfusion\Essential Studio{installed version}\JavaScript\assets-src\angular2\

Note: core.ts file is mandatory for all Syncfusion JavaScript Angular components. The repository having the source file from Essential Studio for JavaScript v14.3.0.49.

Adding DateTimePicker component

1.Create a folder named “DateTimepicker” inside app folder.

2.Create a View file and name it as “DateTimepicker.component” with “html” extension and add the Datetimepicker component in it as given below.

  • HTML
  • <input type="text" ej-datetimepicker id="datetimepick" value="new Date()" />

    3.Create a Model file named “DateTimepicker.component” with “ts” extension inside “DateTimepicker” folder created in step 1.

    4.Now, define the ej-app component and DateTimepicker Model class inside the Model file created in the above step.

  • JS
  • @Component({
        selector: 'ej-app',
        templateUrl: 'app/app.component.html',
    })
    export class AppComponent {
    }

    5.To Run the application, execute the below commands in the command prompt window.

  • JS
  • npm install
    npm start

    6.Browse the port where your application is hosted and navigate to DateTimepicker tab to see the output.

    Adding DateTimePicker component

    Data Binding

    To bind the model values to the DateTimePicker component, define the model values in the AppComponent class available in DateTimepicker.component.ts file as given below.

  • HTML
  • <input type="text" ej-datetimepicker id="datepick" [{value}]=startDate />
  • JS
  • @Component({
        selector: 'ej-app',
        templateUrl: 'app/app.component.html',
    })
    export class AppComponent {
        startDate: Date;
        constructor() {
           this.startDate = new Date();
        }
    }

    Configuring DateTimePicker

    Set minDateTime and maxDateTime

    EJ DateTimePicker provides API through which you can set the maximum and minimum allowed date and time values.You can bind the model values to this API as shown in the below code snippet.

  • HTML
  • <input type="text" ej-datetimepicker id="datepick" [minDateTime]="minDateTime" [maxDateTime]="maxDateTime" />
  • JS
  • @Component({
        selector: 'ej-app',
        templateUrl: 'app/app.component.html',
    })
    export class AppComponent {
        minDateTime: Date;
        maxDateTime: Date;
        constructor() {
            this.minDateTime = new Date("11/1/2016 10:00 AM");
            this.maxDateTime = new Date("11/27/2016 10:00 PM");
        }
    }

    The following screenshot illustrates the output of above code.

    Configuring DateTimePicker

HelpBot Assistant

How can I help you?

GettingStarted

This section discloses the details on how to render and configure DateTimePicker component in a ReactJS application.

Create a DateTimePicker

Create an HTML page and refer the neccessary script and CSS dependency files in your application with the help of given getting started documentation.

With ReactJS, the components can be initialized in two ways.

  1. Using jsx Template
  2. Without using jsx Template

Using jsx Template

You can render EJ components by using JSX template, wherein this JSX file will be converted to its equivalent JS file.

  1. Create a div element in the HTML file and give it an ID.
  • HTML
  • <body>
            <div id="datetimepicker"></div>
        </body>
    1. Create a JSX file and initialize DateTimepicker component by using the below code snippet.
  • HTML
  • ReactDOM.render(   
            <EJ.DateTimePicker id="datetimepicker" value={new Date()}>
            </EJ.DateTimePicker>,
            document.getElementById('datetimepicker')
        );
    1. Refer the JSX file created in last step in the HTML file as given below.
  • HTML
  • <body>
                <div id="datetimepicker"></div>
    
                <!-- Datetimepicker.jsx created in previous step-->
                <script type="text/babel" src="Datetimepicker.jsx">
                </script>   
            </body>

    Now the jsx file will be compiled into its equivalent Javascript file by means of Babel.

    Execute the above code to render Datetimepicker component.

    Create a DateTimePicker using jsx Template

    Configuring DateTimePicker

    Set minDateTime and maxDateTime

    EJ DateTimePicker provides API through which you can set the maximum and minimum allowed date and time values. Min and Max date and time values can be set at initialization as show below.

  • JAVASCRIPT
  • ReactDOM.render(   
            <EJ.DateTimePicker id="datetimepicker" minDateTime={new Date("11/1/2016 10:00 AM")} maxDateTime={new Date("11/27/2016 10:00 PM")}>
            </EJ.DateTimePicker>,
            document.getElementById('datetimepicker')
        );

    The following screenshot illustrates the output of above code.

    Set minDateTime and maxDateTime

    Note: You need to refer browser.min.js file in the script section and specify the type attribute of script tag to text/babel for compiling the JSX template.

    Note: You can find the DateTimePicker properties from the API reference document.

    Without using jsx Template

    The DateTimepicker component can be initialized without using JSX template.

    1. Create an HTML page and render a <div> element with an ID set to it.
  • HTML
  • <div id="datetimepicker"></div>
    1. Render the DateTimePicker component by using the below mentioned code snippet.
  • JAVASCRIPT
  • ReactDOM.render(
                    React.createElement(EJ.DateTimePicker, {
                        id: "datetimepicker-0",
                        value: new Date()
                    }
                ),
                document.getElementById('datetimepicker')

    Run the above code snippet to get the following output.

    Configuring DateTimePicker

    Set minDateTime and maxDateTime

    EJ DateTimePicker provides API through which you can set the maximum and minimum allowed date and time values. Min and Max date and time values can be set at initialization as show below.

  • JAVASCRIPT
  • ReactDOM.render(
                    React.createElement(EJ.DateTimePicker, {
                        id: "datetimepicker-0",
                        minDateTime: new Date("11/1/2016 10:00 AM"),
                        maxDateTime: new Date("11/27/2016 10:00 PM")
                    }
                ),
                document.getElementById('datetimepicker')
                );

    The following screenshot illustrates the output of above code.

    Set minDateTime and maxDateTime